<!DOCTYPE html>
<html>
    <head>
        <title>${msg("accountManagementTitle")}</title>

        <meta charset="UTF-8">
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <meta name="robots" content="noindex, nofollow">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <script>
            const globals = {
              <#if properties.developmentMode?has_content && properties.developmentMode == "true">
              developmentMode: true,
              <#else>
              developmentMode: false,
              </#if>
              authUrl: '${authUrl}',
              baseUrl: '${baseUrl}',
              realm: '${realm.name}',
              resourceUrl: '${resourceUrl}',
              isReactLoading: false,

              <#if properties.logo?has_content>
              brandImg: resourceUrl + '${properties.logo}',
              <#else>
              brandImg: resourceUrl + '/public/logo.svg',
              </#if>

              <#if properties.logoUrl?has_content>
              brandUrl: '${properties.logoUrl}',
              <#else>
              brandUrl: baseUrl,
              </#if>

              <#if referrer??>
              referrer: '${referrer}',
              referrerName: '${referrerName}',
              referrerUri: '${referrer_uri}'.replace('&amp;', '&'),
              </#if>

              <#if msg??>
              locale: '${locale}',
              <#outputformat "JavaScript",
              l18nMsg: JSON.parse('${msgJSON?js_string}'),
              </#outputformat>
              <#else>
              locale: 'en',
              l18Msg: {},
              </#if>
              };

            const features = {
                isRegistrationEmailAsUsername : ${realm.registrationEmailAsUsername?c},
                isEditUserNameAllowed : ${realm.editUsernameAllowed?c},
                isInternationalizationEnabled : ${realm.isInternationalizationEnabled()?c},
                isLinkedAccountsEnabled : ${realm.identityFederationEnabled?c},
                isMyResourcesEnabled : ${(realm.userManagedAccessAllowed && isAuthorizationEnabled)?c},
                deleteAccountAllowed : ${deleteAccountAllowed?c},
                updateEmailFeatureEnabled: ${updateEmailFeatureEnabled?c},
                updateEmailActionEnabled: ${updateEmailActionEnabled?c},
                isViewGroupsEnabled : ${isViewGroupsEnabled?c}
            };

            const availableLocales = [];
            <#list supportedLocales as locale, label>
                availableLocales.push({locale : '${locale}', label : '${label}'});
            </#list>
        </script>
    </head>

    <body>
      <div id="app"></div>
      <script type="module" src="/src/main.ts"></script>
    </body>
</html>
